TagMapper (BioJava-1.5-beta API)
Keywords: org.biojava.bio.program.tagvalue.TagMapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.tagvalue
Class TagMapper

    java.lang.Object
      org.biojava.bio.program.tagvalue.TagMapper

All Implemented Interfaces:
  PropertyChanger

    public class TagMapper

extends Object
implements PropertyChanger

`TagMapper` maps arbitrary object keys to new keys.

If there is no explicit mapping from old to new keys, then the old key will be used.

Since:
  1.2
Author:
  Matthew Pocock, Keith James (docs).

Constructor Summary
`TagMapper()` Creates a new, empty `TagMapper`.

Method Summary
`Object` | `getNewTag(Object oldTag)` `getNewTag` returns the tag which substitutes the specified value.
`void` | `setNewTag(Object oldTag, Object newTag)` `setNewTag`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TagMapper

    public TagMapper()

  Creates a new, empty `TagMapper`.

Method Detail

### setNewTag

    public void setNewTag(Object oldTag,
                          Object newTag)

  `setNewTag`.

  Parameters:
    `oldTag` - an `Object` tag to be substituted.
    `newTag` - an `Object` tag to substitue for the old value.

### getNewTag

    public Object getNewTag(Object oldTag)

  Description copied from interface: `PropertyChanger`

  `getNewTag` returns the tag which substitutes the specified value.

  If there is no mapping associated with this tag, it is returned unchanged.

  Specified by:
    `getNewTag` in interface `PropertyChanger`
  Parameters:
    `oldTag` - an `Object` to substitute.
  Returns:
    an `Object`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD